## nvidia-egl-x11 1.0.3

=== meson_options.txt ===
option(
  'xlib',
  type : 'feature',
  description : 'Build a platform library for EGL_PLATFORM_X11'
)
option(
  'xcb',
  type : 'boolean',
  description : 'Build a platform library for EGL_PLATFORM_XCB'
)

## nvidia-egl-x11 1.0.0

=== debian/changelog ===
nvidia-egl-x11 (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 01 Aug 2025 11:04:56 +0200

=== debian/control ===
Source: nvidia-egl-x11
Section: contrib/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 eglexternalplatform-dev (>= 1.2),
 eglexternalplatform-dev (<< 2),
 libdrm-dev,
 libegl-dev,
 libgbm-dev,
 libx11-xcb-dev,
 libxcb-present-dev,
 meson,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/NVIDIA/egl-x11
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-egl-x11
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-egl-x11.git
Rules-Requires-Root: no

Package: libnvidia-egl-xcb1
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XCB EGL external platform library for NVIDIA
 This is an EGL platform library for the NVIDIA driver to support XWayland
 via xcb.

Package: libnvidia-egl-xlib1
Architecture: amd64 i386 arm64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XLib EGL external platform library for NVIDIA
 This is an EGL platform library for the NVIDIA driver to support XWayland
 via xlib.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/NVIDIA/egl-x11/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## nvidia-egl-x11 1.0.3

=== debian/changelog ===
nvidia-egl-x11 (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Nov 2025 00:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Homepage: https://github.com/NVIDIA/egl-x11
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-egl-x11
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-egl-x11.git
-Rules-Requires-Root: no
 
 Package: libnvidia-egl-xcb1
 Architecture: amd64 i386 arm64
